Debian Bug report logs - #487045
soundconverter: Required gstreamer element 'decodebin' not found.

version graph

Package: soundconverter; Maintainer for soundconverter is Lars Wirzenius <liw@liw.fi>; Source for soundconverter is src:soundconverter.

Reported by: Jonne Lehtinen <jms@modeemi.fi>

Date: Thu, 19 Jun 2008 10:24:01 UTC

Severity: grave

Found in version soundconverter/0.9.7-1

Fixed in version soundconverter/0.9.7-1.1

Done: Ben Hutchings <ben@decadent.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, William Grant <william.grant@ubuntu.org.au>:
Bug#487045; Package soundconverter. Full text and rfc822 format available.

Acknowledgement sent to Jonne Lehtinen <jms@modeemi.fi>:
New Bug report received and forwarded. Copy sent to William Grant <william.grant@ubuntu.org.au>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jonne Lehtinen <jms@modeemi.fi>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: soundconverter: Required gstreamer element 'decodebin' not found.
Date: Thu, 19 Jun 2008 13:21:03 +0300
Package: soundconverter
Version: 0.9.7-1
Severity: grave
Justification: renders package unusable

soundconverter needs 'decodebin' element of gstreamer, which is in
package gstreamer0.10-plugins-base. However, soundconverter, or any of
the gstreamer packages it depends on, does not depends on this package
so I had to install it manually.

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.23-1-686 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages soundconverter depends on:
ii  gstreamer0.10-gnomevfs        0.10.19-2  GStreamer plugin for GnomeVFS
ii  gstreamer0.10-plugins-good    0.10.8-4   GStreamer plugins from the "good" 
ii  python                        2.5.2-1    An interactive high-level object-o
ii  python-glade2                 2.12.1-6   GTK+ bindings: Glade support
ii  python-gnome2                 2.22.0-1   Python bindings for the GNOME desk
ii  python-gst0.10                0.10.11-1  generic media-playing framework (P

soundconverter recommends no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, William Grant <william.grant@ubuntu.org.au>:
Bug#487045; Package soundconverter. Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to William Grant <william.grant@ubuntu.org.au>. Full text and rfc822 format available.

Message #10 received at 487045@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 487045@bugs.debian.org
Subject: Re: soundconverter: Required gstreamer element 'decodebin' not found.
Date: Sun, 29 Jun 2008 19:47:52 +0100
[Message part 1 (text/plain, inline)]
Fixed with an NMU.  Patch follows.

Ben.

diff -u soundconverter-0.9.7/debian/changelog soundconverter-0.9.7/debian/changelog
--- soundconverter-0.9.7/debian/changelog
+++ soundconverter-0.9.7/debian/changelog
@@ -1,3 +1,12 @@
+soundconverter (0.9.7-1.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Add dependency on gstreamer0.10-plugins-base. (Closes: #487045)
+  * Apply upstream change to prevent overwriting source file. (Closes: #461526)
+  * Convert Homepage to a real control field.
+
+ -- Ben Hutchings <ben@decadent.org.uk>  Sun, 29 Jun 2008 18:03:11 +0000
+
 soundconverter (0.9.7-1) unstable; urgency=low
 
   * New upstream release.
diff -u soundconverter-0.9.7/debian/control soundconverter-0.9.7/debian/control
--- soundconverter-0.9.7/debian/control
+++ soundconverter-0.9.7/debian/control
@@ -12,9 +12,8 @@
-Depends: python, python-gnome2, python-glade2, python-gst0.10, gstreamer0.10-plugins-good, gstreamer0.10-gnomevfs,
+Depends: python, python-gnome2, python-glade2, python-gst0.10, gstreamer0.10-plugins-good, gstreamer0.10-gnomevfs, gstreamer0.10-plugins-base
 Suggests: gstreamer0.10-plugins-ugly, gstreamer0.10-lame, gstreamer0.10-ffmpeg
 Description: Convert audio files into other formats
  SoundConverter is a simple sound converter application for the GNOME
  environment. It reads sound files in any format supported by GStreamer
  and outputs them in Ogg Vorbis, FLAC, or WAV format, or MP3 format if
  you have the GStreamer lame plugin.
- .
- Homepage: http://soundconverter.berlios.de/
+Homepage: http://soundconverter.berlios.de/
only in patch2:
unchanged:
--- soundconverter-0.9.7.orig/debian/patches/100_dont_overwrite_source.diff
+++ soundconverter-0.9.7/debian/patches/100_dont_overwrite_source.diff
@@ -0,0 +1,27 @@
+# 100_dont_overwrite_source.diff
+# extracted from r185 of upstream SVN
+--- soundconverter-0.9.7.orig/src/soundconverter.py
++++ soundconverter-0.9.7/src/soundconverter.py
+@@ -1804,7 +1804,12 @@
+ 		except gnomevfs.InvalidURIError:
+ 			log("Invalid URI: '%s'" % output_filename)
+ 			return
+-				
++		
++		# do not overwrite source file !!
++		if output_filename == sound_file.get_uri():
++			error.show(_("Cannot overwrite source file(s)!"), "")
++			raise ConverterQueueCanceled()
++		
+ 		if exists:
+ 			if self.overwrite_action != None:
+ 				result = self.overwrite_action
+@@ -2126,6 +2131,8 @@
+ 				self.converter.add(sound_file)
+ 		except ConverterQueueCanceled:
+ 			log(_("canceling conversion."))
++			self.conversion_ended()
++			self.set_status(_("Conversion canceled"))
+ 		else:
+ 			self.set_status("")
+ 			self.converter.run()
H
--- END ---

-- 
Ben Hutchings
Man invented language to satisfy his deep need to complain. - Lily Tomlin
[signature.asc (application/pgp-signature, inline)]

Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jonne Lehtinen <jms@modeemi.fi>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 487045-close@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 487045-close@bugs.debian.org
Subject: Bug#487045: fixed in soundconverter 0.9.7-1.1
Date: Sun, 29 Jun 2008 19:02:05 +0000
Source: soundconverter
Source-Version: 0.9.7-1.1

We believe that the bug you reported is fixed in the latest version of
soundconverter, which is due to be installed in the Debian FTP archive:

soundconverter_0.9.7-1.1.diff.gz
  to pool/main/s/soundconverter/soundconverter_0.9.7-1.1.diff.gz
soundconverter_0.9.7-1.1.dsc
  to pool/main/s/soundconverter/soundconverter_0.9.7-1.1.dsc
soundconverter_0.9.7-1.1_all.deb
  to pool/main/s/soundconverter/soundconverter_0.9.7-1.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 487045@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ben Hutchings <ben@decadent.org.uk> (supplier of updated soundconverter package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 29 Jun 2008 18:03:11 +0000
Source: soundconverter
Binary: soundconverter
Architecture: source all
Version: 0.9.7-1.1
Distribution: unstable
Urgency: low
Maintainer: William Grant <william.grant@ubuntu.org.au>
Changed-By: Ben Hutchings <ben@decadent.org.uk>
Description: 
 soundconverter - Convert audio files into other formats
Closes: 461526 487045
Changes: 
 soundconverter (0.9.7-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Add dependency on gstreamer0.10-plugins-base. (Closes: #487045)
   * Apply upstream change to prevent overwriting source file. (Closes: #461526)
   * Convert Homepage to a real control field.
Checksums-Sha1: 
 810eaac1f0e6a7ed782cadd8b8358d3cfe9f4529 1115 soundconverter_0.9.7-1.1.dsc
 f0cafae1dcc13174364be8228c8c47b654d3e9bb 3739 soundconverter_0.9.7-1.1.diff.gz
 0930cdcac81a7705d9c59cf243a04c30ab7e112b 79486 soundconverter_0.9.7-1.1_all.deb
Checksums-Sha256: 
 38d16210910c33962277f9d0af727d7e1a491a1867a3108aed7bd3342459db76 1115 soundconverter_0.9.7-1.1.dsc
 467409211a8ff6d99fc7029bbfe1c86c65b5bbdb6a2d84fb9385009b4f377774 3739 soundconverter_0.9.7-1.1.diff.gz
 0fcc50b5836edd2adb5bc9fd2b28d916a3b3cfe6df6b24a5c152899457b723b5 79486 soundconverter_0.9.7-1.1_all.deb
Files: 
 bb557e90c26f53e1f59c022c23b804ca 1115 gnome optional soundconverter_0.9.7-1.1.dsc
 ec7ad7da809c599a5c1045339010b222 3739 gnome optional soundconverter_0.9.7-1.1.diff.gz
 3550616152dc29dc589889458d7a300c 79486 gnome optional soundconverter_0.9.7-1.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFIZ9he79ZNCRIGYgcRApQ0AKDd4gdCmTn6JMjrEhQA3++ulLr5EgCfcHN0
C1GKihttESZugfGrukgeNBg=
=6fdW
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 08 Aug 2008 07:33:34 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 06:15:23 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.